Templates
Delete Template Version
Deletes an unpublished, unreferenced Template version.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
template_id*string
Unique identifier of the related template.
Format
uuidtemplate_version_id*string
Unique identifier of the related template version.
Format
uuidResponse Body
curl -X DELETE "https://api.getmateo.com/v1/templates/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/497f6eca-6276-4993-bfeb-53cbbbba6f08"Empty
Create Template POST
Creates the stable Template and an empty unpublished version 1 atomically. Version lifecycle fields and content are server-managed and cannot be supplied in this request. `request_approvals` is set only here and cannot be changed afterwards.
Delete Template DELETE
Deletes a Template and all of its versions. The Template is excluded from lists immediately and permanently removed shortly afterwards.